<% content_for :title, "Report ADM" %>
<% content_for :bookings_table_list do %>
    <%= paginate @bookings, theme: 'twitter-bootstrap-4', pagination_class: "pagination-sm float-right" %>
    <table class="table table-sm table-bordered table-hover">
    <tr>
        <th>#</th>
        <th>TransGD</th>
        <th>TransTT</th>
        <th>Patient</th>
        <th>Patient Mobile</th>
        <th>Booking Date</th>
        <th>Number</th>
        <th>Status</th>
        <th>Refund</th>
        <th>Khoa</th>
        <th>Doctor</th>
        <th>Time</th>
        <th>User Mobile</th>
        <th></th>
    </tr>
    <% i = 1 + (@params[:page] - 1) * @params[:limit] #STT %>
    <% @bookings.each do |e| %>
        <tr class="<%= e.is_deleted == 1 ? "bg-secondary" : "" %>">
            <td><%= i %></td>
            <td><span style="color: green; font-weight: 500;"><%= e.transaction_code_gd rescue "<unknown>" %></span></td>
            <td><span style="color: blue; font-weight: 500;"><%= e.payment.transaction_code_tt rescue "<unknown>" %></span></td>
            <td>
                <%= [e.patient.surname.strip, e.patient.name.strip].join(" ") rescue "<unknown>" %>
                (<span style="font-style: italic; font-weight: 600;"><%= ((e.patient.bvdhyd_msbn && e.patient.bvdhyd_msbn != "") ? e.patient.bvdhyd_msbn : e.patient.medpro_id) rescue "<unknown>" %></span>)
            </td>
            <td><%= e.patient.mobile rescue "<unknown>" %></td>
            <td><%= e.booking_date.to_date.strftime("%d/%m/%Y") rescue "<unknown>" %></td>
            <td><span style="font-weight: 700;color: orange;"><%= e.booking_number rescue "<unknown>" %></span></td>
            <td><%= format_status(e.status).html_safe rescue "<unknown>" %></td>
            <td><%= format_refund(e.payment.refund_status).html_safe rescue "<unknown>" %></td>
            <td><%= e.schedule.subject.name rescue "<unknown>" %></td>
            <td><%= e.schedule.doctor.name rescue "<unknown>" %></td>
            <td><%= format_booking_time(e.booking_time.from,e.booking_time.to) rescue "<unknown>" %></td>
            <td><%= e.user.username rescue "<unknown>" %></td>
            <td>
                <a target="_blank" class="btn btn-sm btn-success" href="/adm/report/detail?booking_id=<%= e.id %>" >Chi tiết</a>
            </td>
        </tr>
        <% i += 1 %>
    <% end %>
    </table>
    <div class="col-12">
        <%= paginate @bookings, theme: 'twitter-bootstrap-4', pagination_class: "pagination-sm float-right" %>
    </div>
<% end %>
<div class="container-fluid px-0">
    <nav class="navbar navbar-light bg-info">
        <div class="col-md-12 text-center">
            <h3>Danh sách PKB</h3>
        </div>
    </nav>
    <div class="col-md-12 text-center pt-5">
        <div class="offset-2 col-md-8 text-center">
            <form method="GET" class="form-inline">
                <div class="form-group col-md-3 mb-2 p-0">
                    <div class="col-md-1 m-0 p-0"><label for="keyword">Keyword </label></div>
                    <div class="col-md-11 m-0 p-0"><input id="keyword" class="form-control form-control-sm" type="text" name="keyword" value="<%= params[:keyword] ||= nil  %>" /></div>
                </div>
                <div class="form-group col-md-3 mb-2 p-0">
                    <div class="col-md-1 m-0 p-0"><label for="from">From </label></div>
                    <div class="col-md-11 m-0 p-0"><input id="from" class="form-control form-control-sm" type="date" name="from" value="<%= params[:from] ||= nil %>"/></div>
                </div>
                <div class="form-group col-md-3 mb-2 p-0">
                    <div class="col-md-1 m-0 p-0"><label for="to">To </label></div>
                    <div class="col-md-11 m-0 p-0"><input id="to" class="form-control form-control-sm" type="date" name="to" value="<%= params[:to] ||= nil %>"/></div>
                </div>
                <div class="form-group col-md-2 mb-2 p-0">
                    <input id="include_delete" class="form-control form-control-sm" type="checkbox" name="include_delete" value=1 <%= params[:include_delete] ? "checked" : nil %> />
                    <label>Include Deleted</label>
                </div>
                <div class="form-group col-md-1 mb-2 p-0">
                    <button type="submit" class="btn btn-sm btn-primary">Search...</button>
                </div>
            </form>
        </div>
        <div class="col-md-12 pt-2 m-0">
            <%= yield :bookings_table_list unless @bookings.nil? %>
        </div>
    </div>
</div>